Loading...
Searching...
No Matches
rheostream.cc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | PATH_MAX 1023
#define | _RHEOLEF_HAVE_BOOST_IOSTREAMS_GZIP_EMPTY_FILE_BUG

## Functions

std::string | get_tmpdir ()
| get_tmpdir: see the `rheostream` page for the full documentation
string | ftos (const Float &x)
| itof: see the `rheostream` page for the full documentation
bool | has_suffix (const std::string &name, const std::string &suffix)
| has_suffix: see the `rheostream` page for the full documentation
string | delete_suffix (const std::string &name, const std::string &suffix)
| delete_suffix: see the `rheostream` page for the full documentation
bool | has_any_suffix (const std::string &name)
| has_any_suffix: see the `rheostream` page for the full documentation
string | delete_any_suffix (const std::string &name)
| delete_any_suffix: see the `rheostream` page for the full documentation
string | get_basename (const std::string &name)
| get_basename: see the `rheostream` page for the full documentation
string | get_dirname (const std::string &name)
| get_dirname: see the `rheostream` page for the full documentation
void | append_dir_to_rheo_path (const std::string &dir)
| append_dir_to_rheo_path: see the `rheostream` page for the full documentation
void | prepend_dir_to_rheo_path (const std::string &dir)
| prepend_dir_to_rheo_path: see the `rheostream` page for the full documentation
string | get_full_name_from_rheo_path (const std::string &rootname, const std::string &suffix)
| get_full_name_from_rheo_path: see the `rheostream` page for the full documentation
bool | is_float (const std::string &)
| is_float: see the `rheostream` page for the full documentation
Float | to_float (const std::string &)
| to_float: see the `rheostream` page for the full documentation

## Macro Definition Documentation

## PATH_MAX

#define PATH_MAX 1023

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition at line 46 of file rheostream.cc.

## _RHEOLEF_HAVE_BOOST_IOSTREAMS_GZIP_EMPTY_FILE_BUG

#define _RHEOLEF_HAVE_BOOST_IOSTREAMS_GZIP_EMPTY_FILE_BUG